{
  "name": "client",
  "version": "0.1.0",
  "scripts": {
    "build-css": "node-sass-chokidar src/scss/ -o public/",
    "watch-css": "npm run build-css && node-sass-chokidar src/scss/ -o public/ --watch --recursive",
    "start": "npm-run-all -p watch-css start-js",
    "start:production": "cp ./environments/env.production ./.env && npm run start",
    "start:development": "cp ./environments/env.development ./.env && npm run start",
    "start:demo": "cp ./environments/env.demo ./.env && npm run start",
    "start-js": "./env.sh public/env.js && react-scripts start",
    "build": "./env.sh public/env.js && npx npm-run-all build-css build-js",
    "build:production": "cp ./environments/env.production ./.env && npm run build",
    "build:development": "cp ./environments/env.development ./.env && npm run build",
    "build:demo": "cp ./environments/env.demo ./.env && npm run build",
    "build-js": "react-scripts build",
    "test": "./env.sh public/env.js && react-scripts test --env=jsdom",
    "eject": "react-scripts eject",
    "deploy": "./docker/dockerize registry.gitlab.com/theplacelab/webmu-client"
  },
  "dependencies": {
    "concurrently": "^4.1.1",
    "eslint": "^5.0.0",
    "eslint-config-prettier": "^6.0.0",
    "jsonwebtoken": "^8.3.0",
    "linewrap": "^0.2.1",
    "linkify-urls": "^2.0.0",
    "memoize-one": "^5.0.5",
    "moment": "^2.22.2",
    "mousetrap": "^1.6.2",
    "node-sass-chokidar": "^1.3.0",
    "npm-run-all": "^4.1.3",
    "react": "^16.4.0",
    "react-dom": "^16.4.0",
    "react-redux": "^5.0.7",
    "react-scripts": "^3.1.1",
    "redux": "^4.0.0",
    "redux-saga": "^0.16.0",
    "socket.io-client": "^2.2.0",
    "typescript": "^3.5.3",
    "unique-names-generator": "^1.0.13"
  },
  "private": true,
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "eslint-plugin-import": "^2.18.2"
  }
}
